import { writable } from 'svelte/store';

export const data = writable([]);
export const tagslist = writable([]);

let loaded = false;

export const fetchData = async () => {
    try {
        if (loaded) return;
        //const data_source = '../tags.json';
        const data_source = `https://wenotes.oeru.org/resources/feed-sources.json`;
        const res = await fetch(data_source);
        const data_json = await res.json();

        data.set(data_json);
        tagslist.set(data_json.tags);
        tagslist.subscribe(array => console.log('tagslist: ', array));
        loaded = true;
    } catch (err) {
        console.log(err);
    }
}
